This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 977851 - GUI status does not update after registering to local candlepin
GUI status does not update after registering to local candlepin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Carter Kozak
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-06-25 09:14 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
No description necessary
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 19:11:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GUI product status unknown after registering (78.80 KB, image/png)
2013-06-25 09:14 EDT, Sharath Dwaral
no flags Details
Installed product status on GUI (143.48 KB, image/png)
2013-07-15 05:13 EDT, Shwetha Kallesh
no flags Details

  None (edit)
Description Sharath Dwaral 2013-06-25 09:14:37 EDT
Created attachment 765078 [details]
GUI product status unknown after registering

Description of problem:
The status of the products do not get updated on the GUI after registering to a candlepin server

Version-Release number of selected component (if applicable):
# rpm -qa | egrep "subscription-manager|python-rhsm" 
subscription-manager-firstboot-1.8.11-1.git.13.96b613e.el5
subscription-manager-debuginfo-1.8.8-1.el5
subscription-manager-1.8.11-1.git.13.96b613e.el5
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
python-rhsm-1.8.13-1.git.0.85d7af5.el5
subscription-manager-migration-1.8.11-1.git.13.96b613e.el5
subscription-manager-gui-1.8.11-1.git.13.96b613e.el5

How reproducible:
Always

Steps to Reproduce:
# subscription-manager clean
All local data removed

# subscription-manager register
Username: testuser1
Password: 
Organization: admin
The system has been registered with ID: 414931e4-1456-4bc5-a336-af7db649ba54 

Actual results:
Please see attachment

Expected results:
Status of products should change after registering.

Additional info:
Logs from subscription-manager clean

# tail -f /var/log/rhsm/rhsm.log
2013-06-25 09:06:16,464 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:06:16,512 [DEBUG]  @utils.py:370 - No virt-who pid file, not attempting to restart
2013-06-25 09:06:18,444 [DEBUG]  @injection.py:72 - Returning instance for feature CP_PROVIDER
2013-06-25 09:06:18,444 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:06:18,444 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:18,445 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:18,461 [DEBUG]  @certdirectory.py:185 - Installed product IDs: ['100000000000006', '1000000000000023', '1144', '100000000000011', '69', '27060', '83', '1', '37069', '37068', '100000000000069', '37065', '37067', '37060', '37062', '100000000000060', '100000000000005', '100000000000002', '100000000000003', '100000000000000', '100000000000001', '213412341236', '213412341237', '213412341234', '213412341235', '100000000000020', '32060', '88888', '900', '917571', '37080', '801', '806', '37070']
2013-06-25 09:06:18,462 [DEBUG]  @cert_sorter.py:124 - Unregistered, skipping server compliance check.
2013-06-25 09:06:18,471 [DEBUG]  @injection.py:68 - Returning callable provider for feature PRODUCT_DATE_RANGE_CALCULATOR: <class 'subscription_manager.validity.ValidProductDateRangeCalculator'>
2013-06-25 09:06:18,471 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature IDENTITY: <subscription_manager.identity.Identity object at 0x2b90cfb61950>
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature PRODUCT_DATE_RANGE_CALCULATOR: <class 'subscription_manager.validity.ValidProductDateRangeCalculator'>
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature STATUS_CACHE: <class 'subscription_manager.cache.StatusCache'>
2013-06-25 09:06:51,321 [DEBUG]  @injection.py:53 - Registering provider for feature PROD_STATUS_CACHE: <class 'subscription_manager.cache.ProductStatusCache'>
2013-06-25 09:06:51,322 [DEBUG]  @injection.py:53 - Registering provider for feature CP_PROVIDER: <subscription_manager.cp_provider.CPProvider object at 0x2b90d2c2ad90>
2013-06-25 09:06:51,322 [DEBUG]  @injection.py:53 - Registering provider for feature CERT_SORTER: <subscription_manager.cert_sorter.CertSorter object at 0x2b90d2c45b50>
2013-06-25 09:06:51,322 [DEBUG]  @injection.py:53 - Registering provider for feature PLUGIN_MANAGER: <subscription_manager.plugins.PluginManager object at 0x2b90d256bf90>
2013-06-25 09:06:51,343 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,344 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,344 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,345 [DEBUG]  @plugins.py:521 - loaded plugin modules: []
2013-06-25 09:06:51,345 [DEBUG]  @plugins.py:522 - loaded plugins: {}
2013-06-25 09:06:51,348 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,349 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,349 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,350 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,350 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,350 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,350 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,358 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,358 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,358 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,359 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,359 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,360 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,360 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,361 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,361 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,362 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,362 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,362 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,363 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,364 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,364 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,364 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,365 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,365 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,366 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,366 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,367 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,367 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,367 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,367 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,368 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,368 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,368 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,369 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,370 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,370 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,370 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,371 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,371 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,371 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,372 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,372 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,372 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,373 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,373 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,374 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,374 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,374 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,375 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,376 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,376 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,376 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,377 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,377 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,378 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,378 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,378 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,379 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,379 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,379 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,380 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,381 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,381 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,381 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,382 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:06:51,382 [DEBUG]  @identity.py:132 - Loading consumer info from identity certificates.
2013-06-25 09:06:51,383 [DEBUG]  @injection.py:68 - Returning callable provider for feature ENT_DIR: <class 'subscription_manager.certdirectory.EntitlementDirectory'>
2013-06-25 09:06:51,383 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_DIR: <class 'subscription_manager.certdirectory.ProductDirectory'>
2013-06-25 09:06:51,383 [DEBUG]  @injection.py:72 - Returning instance for feature PLUGIN_MANAGER
2013-06-25 09:06:51,384 [DEBUG]  @injection.py:72 - Returning instance for feature CP_PROVIDER
2013-06-25 09:06:51,384 [DEBUG]  @profile.py:96 - Loading current RPM profile.
2013-06-25 09:06:51,463 [INFO]  @managercli.py:308 - Client Versions: {'python-rhsm': '1.8.13-1.git.0.85d7af5.el5', 'subscription-manager': '1.8.11-1.git.13.96b613e.el5'}
2013-06-25 09:06:51,463 [INFO]  @connection.py:583 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
2013-06-25 09:06:51,463 [INFO]  @connection.py:596 - Connection Built: host: fsharath-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2013-06-25 09:06:51,463 [INFO]  @connection.py:593 - Using no auth
2013-06-25 09:06:51,464 [INFO]  @connection.py:596 - Connection Built: host: fsharath-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2013-06-25 09:06:51,498 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:06:51,499 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:06:51,499 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:06:51,499 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:06:51,500 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/
2013-06-25 09:06:51,598 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:06:51,599 [DEBUG]  @connection.py:613 - Server supports the following resources:
2013-06-25 09:06:51,599 [DEBUG]  @connection.py:614 - {'': '/', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2013-06-25 09:06:51,599 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:06:51,600 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:06:51,600 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:06:51,600 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:06:51,600 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/status
2013-06-25 09:06:51,707 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:06:51,707 [INFO]  @managercli.py:319 - Server Versions: {'candlepin': '0.8.15-1', 'server-type': 'This system is currently not registered.'}
2013-06-25 09:06:51,708 [INFO]  @managercli.py:308 - Client Versions: {'python-rhsm': '1.8.13-1.git.0.85d7af5.el5', 'subscription-manager': '1.8.11-1.git.13.96b613e.el5'}
2013-06-25 09:06:58,943 [INFO]  @connection.py:575 - Using basic authentication as: testuser1
2013-06-25 09:06:58,943 [INFO]  @connection.py:596 - Connection Built: host: fsharath-candlepin.usersys.redhat.com, port: 8443, handler: /candlepin
2013-06-25 09:06:59,002 [DEBUG]  @plugins.py:700 - PluginManager.run called for post_facts_collection with args: {'facts': {'dmi.system.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'dmi.processor.family': 'Other', 'distribution.name': 'Red Hat Enterprise Linux Server', 'net.interface.eth0.mac_address': '52:54:00:0E:58:3D', 'dmi.bios.address': '0xe8000', 'distribution.id': 'Tikanga', 'dmi.chassis.manufacturer': 'Bochs', 'dmi.memory.location': 'Other', 'virt.host_type': 'kvm', 'virt.is_guest': True, 'dmi.chassis.security_status': 'Unknown', 'uname.sysname': 'Linux', 'dmi.processor.type': 'Central Processor', 'net.interface.eth0.ipv4_netmask': 23, 'net.interface.eth0.ipv4_address': '10.13.129.152', 'dmi.system.family': 'Not Specified', 'cpu.core(s)_per_socket': 1, 'distribution.version': '5.9', 'network.ipv4_address': '10.13.129.152', 'dmi.bios.vendor': 'Bochs', 'net.interface.eth0.ipv6_address.link': 'fe80::5054:ff:fe0e:583d', 'dmi.bios.bios_revision': '1.0', 'dmi.system.version': 'Not Specified', 'net.interface.eth0.ipv6_netmask.link': 64, 'dmi.chassis.type': 'Other', 'dmi.chassis.serial_number': 'Not Specified', 'dmi.chassis.power_supply_state': 'Safe', 'net.interface.lo.ipv6_netmask.host': 128, 'system.certificate_version': '3.2', 'dmi.chassis.lock': 'Not Present', 'net.interface.lo.ipv4_address': '127.0.0.1', 'dmi.memory.data_width': '64 bit', 'dmi.system.serial_number': 'Not Specified', 'dmi.chassis.boot-up_state': 'Safe', 'dmi.processor.status': 'Populated:Enabled', 'net.interface.lo.ipv4_broadcast': 'Unknown', 'network.ipv6_address': '::1', 'dmi.memory.locator': 'DIMM 0', 'dmi.chassis.asset_tag': 'Not Specified', 'dmi.system.status': 'No errors detected', 'dmi.chassis.version': 'Not Specified', 'dmi.memory.bank_locator': 'Not Specified', 'net.interface.lo.ipv4_netmask': 8, 'cpu.cpu(s)': 2, 'network.hostname': 'dhcp129-152.rdu.redhat.com', 'dmi.system.manufacturer': 'Bochs', 'net.interface.lo.ipv6_address.host': '::1', 'uname.version': '#1 SMP Wed Nov 28 21:22:00 EST 2012', 'dmi.memory.use': 'System Memory', 'dmi.memory.size': '1024 MB', 'dmi.processor.upgrade': 'Other', 'memory.memtotal': '1026056', 'dmi.bios.version': 'Bochs', 'net.interface.sit0.ipv4_broadcast': 'Unknown', 'dmi.bios.runtime_size': '96 KB', 'dmi.memory.speed': '  (ns)', 'net.interface.sit0.ipv4_netmask': 'Unknown', 'dmi.chassis.thermal_state': 'Safe', 'dmi.memory.total_width': '64 bit', 'dmi.memory.maximum_capacity': '1 GB', 'dmi.memory.error_correction_type': 'Multi-bit ECC', 'dmi.system.product_name': 'Bochs', 'dmi.processor.version': 'Not Specified', 'dmi.memory.form_factor': 'DIMM', 'memory.swaptotal': '2064376', 'net.interface.eth0.ipv4_broadcast': '10.13.129.255', 'dmi.bios.rom_size': '64 KB', 'dmi.memory.type': 'RAM', 'dmi.processor.socket_designation': 'CPU 1', 'dmi.processor.voltage': ' ', 'cpu.thread(s)_per_core': 1, 'dmi.bios.relase_date': '01/01/2011', 'virt.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'uname.machine': 'x86_64', 'dmi.memory.error_information_handle': 'Not Provided', 'uname.nodename': 'dhcp129-152.rdu.redhat.com', 'dmi.memory.array_handle': '0x1000', 'net.interface.sit0.ipv4_address': 'Unknown', 'dmi.system.sku_number': 'Not Specified', 'uname.release': '2.6.18-348.el5', 'dmi.system.wake-up_type': 'Power Switch', 'cpu.cpu_socket(s)': 2}}
2013-06-25 09:06:59,002 [DEBUG]  @plugins.py:700 - PluginManager.run called for pre_register_consumer with args: {'facts': {'dmi.system.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'dmi.processor.family': 'Other', 'distribution.name': 'Red Hat Enterprise Linux Server', 'net.interface.eth0.mac_address': '52:54:00:0E:58:3D', 'dmi.bios.address': '0xe8000', 'distribution.id': 'Tikanga', 'dmi.chassis.manufacturer': 'Bochs', 'dmi.memory.location': 'Other', 'virt.host_type': 'kvm', 'virt.is_guest': True, 'dmi.chassis.security_status': 'Unknown', 'uname.sysname': 'Linux', 'dmi.processor.type': 'Central Processor', 'net.interface.eth0.ipv4_netmask': 23, 'net.interface.eth0.ipv4_address': '10.13.129.152', 'dmi.system.family': 'Not Specified', 'cpu.core(s)_per_socket': 1, 'distribution.version': '5.9', 'network.ipv4_address': '10.13.129.152', 'dmi.bios.vendor': 'Bochs', 'net.interface.eth0.ipv6_address.link': 'fe80::5054:ff:fe0e:583d', 'dmi.bios.bios_revision': '1.0', 'dmi.system.version': 'Not Specified', 'net.interface.eth0.ipv6_netmask.link': 64, 'dmi.chassis.type': 'Other', 'dmi.chassis.serial_number': 'Not Specified', 'dmi.chassis.power_supply_state': 'Safe', 'net.interface.lo.ipv6_netmask.host': 128, 'system.certificate_version': '3.2', 'dmi.chassis.lock': 'Not Present', 'net.interface.lo.ipv4_address': '127.0.0.1', 'dmi.memory.data_width': '64 bit', 'dmi.system.serial_number': 'Not Specified', 'dmi.chassis.boot-up_state': 'Safe', 'dmi.processor.status': 'Populated:Enabled', 'net.interface.lo.ipv4_broadcast': 'Unknown', 'network.ipv6_address': '::1', 'dmi.memory.locator': 'DIMM 0', 'dmi.chassis.asset_tag': 'Not Specified', 'dmi.system.status': 'No errors detected', 'dmi.chassis.version': 'Not Specified', 'dmi.memory.bank_locator': 'Not Specified', 'net.interface.lo.ipv4_netmask': 8, 'cpu.cpu(s)': 2, 'network.hostname': 'dhcp129-152.rdu.redhat.com', 'dmi.system.manufacturer': 'Bochs', 'net.interface.lo.ipv6_address.host': '::1', 'uname.version': '#1 SMP Wed Nov 28 21:22:00 EST 2012', 'dmi.memory.use': 'System Memory', 'dmi.memory.size': '1024 MB', 'dmi.processor.upgrade': 'Other', 'memory.memtotal': '1026056', 'dmi.bios.version': 'Bochs', 'net.interface.sit0.ipv4_broadcast': 'Unknown', 'dmi.bios.runtime_size': '96 KB', 'dmi.memory.speed': '  (ns)', 'net.interface.sit0.ipv4_netmask': 'Unknown', 'dmi.chassis.thermal_state': 'Safe', 'dmi.memory.total_width': '64 bit', 'dmi.memory.maximum_capacity': '1 GB', 'dmi.memory.error_correction_type': 'Multi-bit ECC', 'dmi.system.product_name': 'Bochs', 'dmi.processor.version': 'Not Specified', 'dmi.memory.form_factor': 'DIMM', 'memory.swaptotal': '2064376', 'net.interface.eth0.ipv4_broadcast': '10.13.129.255', 'dmi.bios.rom_size': '64 KB', 'dmi.memory.type': 'RAM', 'dmi.processor.socket_designation': 'CPU 1', 'dmi.processor.voltage': ' ', 'cpu.thread(s)_per_core': 1, 'dmi.bios.relase_date': '01/01/2011', 'virt.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'uname.machine': 'x86_64', 'dmi.memory.error_information_handle': 'Not Provided', 'uname.nodename': 'dhcp129-152.rdu.redhat.com', 'dmi.memory.array_handle': '0x1000', 'net.interface.sit0.ipv4_address': 'Unknown', 'dmi.system.sku_number': 'Not Specified', 'uname.release': '2.6.18-348.el5', 'dmi.system.wake-up_type': 'Power Switch', 'cpu.cpu_socket(s)': 2}, 'name': 'dhcp129-152.rdu.redhat.com'}
2013-06-25 09:06:59,003 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:06:59,003 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:06:59,003 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:06:59,003 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:06:59,004 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/users/testuser1/owners
2013-06-25 09:06:59,232 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:07:01,438 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:07:01,439 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:07:01,439 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:07:01,439 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:07:01,440 [DEBUG]  @connection.py:415 - Making request: POST /candlepin/consumers?owner=admin
2013-06-25 09:07:02,657 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:07:02,660 [DEBUG]  @cache.py:137 - Wrote cache: /var/lib/rhsm/cache/installed_products.json
2013-06-25 09:07:02,660 [DEBUG]  @plugins.py:700 - PluginManager.run called for post_register_consumer with args: {'facts': {'dmi.system.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'dmi.processor.family': 'Other', 'distribution.name': 'Red Hat Enterprise Linux Server', 'net.interface.eth0.mac_address': '52:54:00:0E:58:3D', 'dmi.bios.address': '0xe8000', 'distribution.id': 'Tikanga', 'dmi.chassis.manufacturer': 'Bochs', 'dmi.memory.location': 'Other', 'virt.host_type': 'kvm', 'virt.is_guest': True, 'dmi.chassis.security_status': 'Unknown', 'uname.sysname': 'Linux', 'dmi.processor.type': 'Central Processor', 'net.interface.eth0.ipv4_netmask': 23, 'net.interface.eth0.ipv4_address': '10.13.129.152', 'dmi.system.family': 'Not Specified', 'cpu.core(s)_per_socket': 1, 'distribution.version': '5.9', 'network.ipv4_address': '10.13.129.152', 'dmi.bios.vendor': 'Bochs', 'net.interface.eth0.ipv6_address.link': 'fe80::5054:ff:fe0e:583d', 'dmi.bios.bios_revision': '1.0', 'dmi.system.version': 'Not Specified', 'net.interface.eth0.ipv6_netmask.link': 64, 'dmi.chassis.type': 'Other', 'dmi.chassis.serial_number': 'Not Specified', 'dmi.chassis.power_supply_state': 'Safe', 'net.interface.lo.ipv6_netmask.host': 128, 'system.certificate_version': '3.2', 'dmi.chassis.lock': 'Not Present', 'net.interface.lo.ipv4_address': '127.0.0.1', 'dmi.memory.data_width': '64 bit', 'dmi.system.serial_number': 'Not Specified', 'dmi.chassis.boot-up_state': 'Safe', 'dmi.processor.status': 'Populated:Enabled', 'net.interface.lo.ipv4_broadcast': 'Unknown', 'network.ipv6_address': '::1', 'dmi.memory.locator': 'DIMM 0', 'dmi.chassis.asset_tag': 'Not Specified', 'dmi.system.status': 'No errors detected', 'dmi.chassis.version': 'Not Specified', 'dmi.memory.bank_locator': 'Not Specified', 'net.interface.lo.ipv4_netmask': 8, 'cpu.cpu(s)': 2, 'network.hostname': 'dhcp129-152.rdu.redhat.com', 'dmi.system.manufacturer': 'Bochs', 'net.interface.lo.ipv6_address.host': '::1', 'uname.version': '#1 SMP Wed Nov 28 21:22:00 EST 2012', 'dmi.memory.use': 'System Memory', 'dmi.memory.size': '1024 MB', 'dmi.processor.upgrade': 'Other', 'memory.memtotal': '1026056', 'dmi.bios.version': 'Bochs', 'net.interface.sit0.ipv4_broadcast': 'Unknown', 'dmi.bios.runtime_size': '96 KB', 'dmi.memory.speed': '  (ns)', 'net.interface.sit0.ipv4_netmask': 'Unknown', 'dmi.chassis.thermal_state': 'Safe', 'dmi.memory.total_width': '64 bit', 'dmi.memory.maximum_capacity': '1 GB', 'dmi.memory.error_correction_type': 'Multi-bit ECC', 'dmi.system.product_name': 'Bochs', 'dmi.processor.version': 'Not Specified', 'dmi.memory.form_factor': 'DIMM', 'memory.swaptotal': '2064376', 'net.interface.eth0.ipv4_broadcast': '10.13.129.255', 'dmi.bios.rom_size': '64 KB', 'dmi.memory.type': 'RAM', 'dmi.processor.socket_designation': 'CPU 1', 'dmi.processor.voltage': ' ', 'cpu.thread(s)_per_core': 1, 'dmi.bios.relase_date': '01/01/2011', 'virt.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'uname.machine': 'x86_64', 'dmi.memory.error_information_handle': 'Not Provided', 'uname.nodename': 'dhcp129-152.rdu.redhat.com', 'dmi.memory.array_handle': '0x1000', 'net.interface.sit0.ipv4_address': 'Unknown', 'dmi.system.sku_number': 'Not Specified', 'uname.release': '2.6.18-348.el5', 'dmi.system.wake-up_type': 'Power Switch', 'cpu.cpu_socket(s)': 2}, 'consumer': {'serviceLevel': '', 'autoheal': True, 'owner': {'href': '/owners/admin', 'displayName': 'Admin Owner', 'id': '8a90f8333f79ef94013f79efabf50002', 'key': 'admin'}, 'href': '/consumers/414931e4-1456-4bc5-a336-af7db649ba54', 'facts': {'net.interface.lo.ipv6_address.host': '::1', 'dmi.processor.family': 'Other', 'uname.version': '#1 SMP Wed Nov 28 21:22:00 EST 2012', 'virt.host_type': 'kvm', 'uname.sysname': 'Linux', 'dmi.processor.upgrade': 'Other', 'dmi.memory.type': 'RAM', 'dmi.system.status': 'No errors detected', 'dmi.bios.address': '0xe8000', 'distribution.id': 'Tikanga', 'memory.memtotal': '1026056', 'distribution.name': 'Red Hat Enterprise Linux Server', 'dmi.bios.version': 'Bochs', 'dmi.chassis.manufacturer': 'Bochs', 'net.interface.sit0.ipv4_broadcast': 'Unknown', 'dmi.memory.location': 'Other', 'cpu.cpu_socket(s)': '2', 'dmi.memory.use': 'System Memory', 'virt.is_guest': 'true', 'dmi.chassis.security_status': 'Unknown', 'dmi.memory.error_correction_type': 'Multi-bit ECC', 'dmi.bios.runtime_size': '96 KB', 'network.ipv4_address': '10.13.129.152', 'dmi.system.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'dmi.processor.socket_designation': 'CPU 1', 'dmi.memory.speed': '  (ns)', 'net.interface.sit0.ipv4_netmask': 'Unknown', 'dmi.processor.status': 'Populated:Enabled', 'dmi.system.family': 'Not Specified', 'net.interface.eth0.mac_address': '52:54:00:0E:58:3D', 'distribution.version': '5.9', 'uname.release': '2.6.18-348.el5', 'net.interface.lo.ipv4_broadcast': 'Unknown', 'dmi.chassis.thermal_state': 'Safe', 'dmi.memory.total_width': '64 bit', 'dmi.bios.vendor': 'Bochs', 'net.interface.eth0.ipv6_address.link': 'fe80::5054:ff:fe0e:583d', 'dmi.bios.bios_revision': '1.0', 'dmi.system.version': 'Not Specified', 'net.interface.eth0.ipv6_netmask.link': '64', 'dmi.processor.type': 'Central Processor', 'dmi.chassis.type': 'Other', 'dmi.chassis.serial_number': 'Not Specified', 'dmi.chassis.power_supply_state': 'Safe', 'net.interface.lo.ipv6_netmask.host': '128', 'system.certificate_version': '3.2', 'dmi.system.product_name': 'Bochs', 'dmi.memory.maximum_capacity': '1 GB', 'dmi.memory.form_factor': 'DIMM', 'memory.swaptotal': '2064376', 'net.interface.eth0.ipv4_broadcast': '10.13.129.255', 'dmi.memory.size': '1024 MB', 'virt.uuid': 'bfe614ba-7823-1b05-edb2-70c90b169083', 'uname.nodename': 'dhcp129-152.rdu.redhat.com', 'dmi.system.serial_number': 'Not Specified', 'dmi.bios.rom_size': '64 KB', 'dmi.chassis.lock': 'Not Present', 'dmi.chassis.boot-up_state': 'Safe', 'net.interface.eth0.ipv4_address': '10.13.129.152', 'net.interface.lo.ipv4_netmask': '8', 'net.interface.eth0.ipv4_netmask': '23', 'cpu.core(s)_per_socket': '1', 'network.ipv6_address': '::1', 'dmi.memory.locator': 'DIMM 0', 'cpu.thread(s)_per_core': '1', 'dmi.bios.relase_date': '01/01/2011', 'dmi.memory.data_width': '64 bit', 'dmi.chassis.asset_tag': 'Not Specified', 'dmi.processor.version': 'Not Specified', 'dmi.memory.error_information_handle': 'Not Provided', 'dmi.chassis.version': 'Not Specified', 'net.interface.lo.ipv4_address': '127.0.0.1', 'uname.machine': 'x86_64', 'dmi.memory.array_handle': '0x1000', 'dmi.memory.bank_locator': 'Not Specified', 'dmi.processor.voltage': ' ', 'net.interface.sit0.ipv4_address': 'Unknown', 'dmi.system.sku_number': 'Not Specified', 'cpu.cpu(s)': '2', 'network.hostname': 'dhcp129-152.rdu.redhat.com', 'dmi.system.wake-up_type': 'Power Switch', 'dmi.system.manufacturer': 'Bochs'}, 'id': '8a90f8333f79ef94013f7b71c76e2141', 'uuid': '414931e4-1456-4bc5-a336-af7db649ba54', 'guestIds': None, 'capabilities': None, 'environment': None, 'installedProducts': [{'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Core Limiting Product', 'version': '1.0', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e2142', 'productId': '806'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Red Hat Enterprise Linux High Availability (for RHEL Server)', 'version': '5.8', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e2143', 'productId': '83'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Large File Support Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e2144', 'productId': '37068'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'RAM Limiting Product', 'version': '1.0', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e2145', 'productId': '801'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for All Arch (all per arch content) Bits', 'version': '3.11', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e2146', 'productId': '213412341236'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Multi-Attribute Limited Product', 'version': '1.0', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e2147', 'productId': '900'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS Server Bits', 'version': '6.1', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e2148', 'productId': '37060'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS Premium Architecture Bits', 'version': '6.1', 'arch': 'ppc64', 'id': '8a90f8333f79ef94013f7b71c76e2149', 'productId': '37062'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for All Arch (x86 content) Bits', 'version': '3.11', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e214a', 'productId': '213412341237'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for x86_64 Bits', 'version': '3.11', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e214b', 'productId': '100000000000002'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS Instance Server Bits', 'version': '6.1', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e214c', 'productId': '32060'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for x86 Bits', 'version': '8.6', 'arch': 'x86', 'id': '8a90f8333f79ef94013f7b71c76e214d', 'productId': '100000000000020'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for i386 Bits', 'version': '3.11', 'arch': 'i386', 'id': '8a90f8333f79ef94013f7b71c76e214e', 'productId': '100000000000001'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for ppc64 Bits', 'version': '3.11', 'arch': 'ppc64', 'id': '8a90f8333f79ef94013f7b71c76e214f', 'productId': '100000000000003'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Red Hat Enterprise Linux Server', 'version': '5.9', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76e2150', 'productId': '69'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for i686 Bits', 'version': '3.11', 'arch': 'i686', 'id': '8a90f8333f79ef94013f7b71c76e2151', 'productId': '100000000000005'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for ia64 Bits', 'version': '3.11', 'arch': 'ia64', 'id': '8a90f8333f79ef94013f7b71c76e2152', 'productId': '100000000000006'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS for All Arch (just x86_64 content) Bits', 'version': '3.11', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e2153', 'productId': '213412341235'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.614+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.614+0000', 'productName': 'Awesome OS Developer Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76e2154', 'productId': '1'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Multiplier Product Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2155', 'productId': '917571'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Load Balancing Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2156', 'productId': '37070'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Clustering Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2157', 'productId': '37065'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Shared Storage Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2158', 'productId': '37067'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Virt Only Awesome OS for i386 Bits', 'version': '3.11', 'arch': 'i386', 'id': '8a90f8333f79ef94013f7b71c76f2159', 'productId': '100000000000069'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS for All Arch (excpt for x86_64 content) Bits', 'version': '3.11', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f215a', 'productId': '213412341234'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS for S390 Bits', 'version': '3.11', 'arch': 's390', 'id': '8a90f8333f79ef94013f7b71c76f215b', 'productId': '100000000000060'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS for S390X Bits', 'version': '3.11', 'arch': 's390x', 'id': '8a90f8333f79ef94013f7b71c76f215c', 'productId': '100000000000000'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS Workstation Bits', 'version': '6.1', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f215d', 'productId': '27060'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS for x86_64/i686/ia64/ppc/ppc64/s390x/s390 Bits', 'version': '3.11', 'arch': 'x86_64,i686,ia64,ppc,ppc64,s390x,s390', 'id': '8a90f8333f79ef94013f7b71c76f215e', 'productId': '100000000000011'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS Modifier Bits', 'version': '6.1', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f215f', 'productId': '37080'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Management Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2160', 'productId': '37069'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Awesome OS Developer Basic', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2161', 'productId': '1144'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Shared File System Bits', 'version': '1.0', 'arch': 'ALL', 'id': '8a90f8333f79ef94013f7b71c76f2162', 'productId': '88888'}, {'status': None, 'startDate': None, 'updated': '2013-06-25T13:07:01.615+0000', 'endDate': None, 'created': '2013-06-25T13:07:01.615+0000', 'productName': 'Stackable with Awesome OS for x86_64 Bits', 'version': '3.11', 'arch': 'x86_64', 'id': '8a90f8333f79ef94013f7b71c76f2163', 'productId': '1000000000000023'}], 'canActivate': False, 'type': {'manifest': False, 'id': '1000', 'label': 'system'}, 'username': 'testuser1', 'updated': '2013-06-25T13:07:02.592+0000', 'lastCheckin': None, 'entitlementCount': 0, 'releaseVer': {'releaseVer': None}, 'entitlementStatus': 'invalid', 'idCert': {'updated': '2013-06-25T13:07:02.548+0000', 'created': '2013-06-25T13:07:02.548+0000', 'cert': '-----BEGIN CERTIFICATE-----\nMIIDjjCCAvegAwIBAgIIU6r1i63+mqkwDQYJKoZIhvcNAQEFBQAwTzEuMCwGA1UE\nAwwlZnNoYXJhdGgtY2FuZGxlcGluLnVzZXJzeXMucmVkaGF0LmNvbTELMAkGA1UE\nBhMCVVMxEDAOBgNVBAcMB1JhbGVpZ2gwHhcNMTMwNjI1MTMwNzAxWhcNMjkwNjI1\nMTMwNzAxWjAvMS0wKwYDVQQDEyQ0MTQ5MzFlNC0xNDU2LTRiYzUtYTMzNi1hZjdk\nYjY0OWJhNTQwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCSdh740IKe\nplW1/3+OUc5WxU0zOmpU82QpfNYzOnSQJbPyni8P3zDdC80uTtUJJ74Y9sTI3Mvh\nQRh66++Qo9hnuHgKhTFwQHeAIZ3sQHCd+se7iJUJux2YyvFZsEI1cOO2LAsa2WvR\nQ95zToHxzE34hESYeH6X17YeOjvhCs9jaJpwbjTXc4R0APxE4/O9mX5zw7/YIYjg\nnsHrvKrrmrjBLysc0+i4iMiF8Rea+Qr2O9CZs/yuT4rr4HptyI6tiImufbyufABJ\n1cwnJPlJB0BEnRcd4g+6OuoNCobpPlub24S97LgT8FY7b+m1lnuJEU7/BUXdjndi\nmpi5tQVORqQJAgMBAAGjggENMIIBCTARBglghkgBhvhCAQEEBAMCBaAwCwYDVR0P\nBAQDAgSwMH8GA1UdIwR4MHaAFATCLt2B9OT2AsktEEyw079eCK+roVOkUTBPMS4w\nLAYDVQQDDCVmc2hhcmF0aC1jYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29tMQsw\nCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJAJdQl280Nty3MB0GA1UdDgQW\nBBSckYU7Lwoa+UZsGWtX+EXua9xTsjATBgNVHSUEDDAKBggrBgEFBQcDAjAyBgNV\nHREEKzAppCcwJTEjMCEGA1UEAwwaZGhjcDEyOS0xNTIucmR1LnJlZGhhdC5jb20w\nDQYJKoZIhvcNAQEFBQADgYEAftEarnsfBHGToHWmPpErMt0Ew7wEWYzK81x2zIFu\nqcDRP8CCg+JXo323pj447stH2QyFTr4TVj2kL8TMrm4wCJBVi0w/hpxvVHylETnj\nd/5CCjgY91MRasOmRsX5jywG0o8RlKAysC9kUfoYZz78JD3zxXSgvpZZS7AYrRVf\nk2o=\n-----END CERTIFICATE-----\n', 'key': '-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEAknYe+NCCnqZVtf9/jlHOVsVNMzpqVPNkKXzWMzp0kCWz8p4v\nD98w3QvNLk7VCSe+GPbEyNzL4UEYeuvvkKPYZ7h4CoUxcEB3gCGd7EBwnfrHu4iV\nCbsdmMrxWbBCNXDjtiwLGtlr0UPec06B8cxN+IREmHh+l9e2Hjo74QrPY2iacG40\n13OEdAD8ROPzvZl+c8O/2CGI4J7B67yq65q4wS8rHNPouIjIhfEXmvkK9jvQmbP8\nrk+K6+B6bciOrYiJrn28rnwASdXMJyT5SQdARJ0XHeIPujrqDQqG6T5bm9uEvey4\nE/BWO2/ptZZ7iRFO/wVF3Y53YpqYubUFTkakCQIDAQABAoIBAGE7McyVAGI6ouQ0\nPoZJIObSDTJZMYY8Ht68FafkwsV/gjsrcKrkzReyYgDALQXq8HS6PmHq0x8zjADu\n6Rfo7h3NhUPWsL+IzMyvhJv3G8yFVFvXjLntEvUApcGZFhtMWp/yFV05wi4nFGMQ\nV4wiyhCWHsPqGoDLoAfpOR9pgczH+152CRfOyXtjCWGH3xte1OPln0GeiOcnzPpO\n7i2OqpUZDOqNFieO7e7oaUM3UCXOMf0XRJUvvIGbW5AsYdviA2cWaT27ccboQ1AS\nfAn/yStoSpQCBAwjejm87lHgT5ECZlJY4jjCAhhbrRtMeMgnyk8EvrHaMUr98/hl\nfA+eJkECgYEA6PJyZT18NhxcQAkOLJEFJHllH+OzFzEF6hf/l78Z1braWJ7ULcsh\nMEJIeMCawaceUPnxCdgHQBEg2oM9Fw11RpsInIgolsvMV965bOyYfs85U+JCegvr\nS4GNENTvK5zZuY1Jnz1FFgUcRPG0oBqYxlIHTkWnAKcBXkMwumr7oIUCgYEAoPSe\nrpffPqeXhvHy0UyNqm5jB/Dd8T2VwlOQBjnp+UqEWlgADjeVXQN8a0m8nztm4nqj\nVHwdTk5tpGoQCHazK0xbTgU075wOhmFJd7ecm8hGSLQHkOPzvqoLbfFj3fc6hOhK\n24qZfOvBK8vyHreL47Iy9b4G77NLeMu1SqVhbrUCgYBUR3tp84/gB+y8YkpVh3Zj\n1uPmYLxn1J2+L0aTAVn4gO0EiRpdIxPz4NdVkOGs1KjcRUGW/SjKXigTxs2wbHcU\nv3yjHYQJ4twgon1V0lft8U1dcwv4Gh3cKJgAEfoiPlJrlpmfWkyHhfvPWd+u2VCS\n2BS6leqxCrss/oQ/vfsh/QKBgDzN7Jxcd1O+EDpEcMystN/rr7GyRsX50/eDhec0\nPbWVdwaCNBMq4FwxEvGc+4rT7/wjBEzITnHkovr3rnLkFK+Iuv1wbh0OwVX2rsBx\nNtKLCDIzAKC13MDskEDKbkXOPeczsgPaCj3s+h7HfwInqMst6J55WTl4bEyH+Ebo\nzzP5AoGBAL9uk9k4GsK+hlrUbL1yiUiQbsPWc4DJPhFR+iQQyZkiFLpgOi/kcE9i\n1efcfna19bnjxMh23j/Dsq55XmBn+RS7DOIbTQDCiR/JdEkPhvGr50YR5E9lGVAu\nSUGutJOUGUJ4anp7tD1EvnDk8aMMVAmUW1affiMNviyq0+tpW7Uf\n-----END RSA PRIVATE KEY-----\n', 'serial': {'updated': '2013-06-25T13:07:01.632+0000', 'revoked': False, 'created': '2013-06-25T13:07:01.632+0000', 'expiration': '2029-06-25T13:07:01.632+0000', 'collected': False, 'serial': 6028901031457233577, 'id': 6028901031457233577}, 'id': '8a90f8333f79ef94013f7b71cb142165'}, 'name': 'dhcp129-152.rdu.redhat.com', 'created': '2013-06-25T13:07:01.614+0000'}}
2013-06-25 09:07:02,662 [INFO]  @managerlib.py:69 - Consumer created: {'consumer_name': 'dhcp129-152.rdu.redhat.com', 'uuid': '414931e4-1456-4bc5-a336-af7db649ba54'}
2013-06-25 09:07:02,662 [DEBUG]  @utils.py:370 - No virt-who pid file, not attempting to restart
2013-06-25 09:07:02,662 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:07:02,662 [DEBUG]  @identity.py:132 - Loading consumer info from identity certificates.
2013-06-25 09:07:02,663 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:07:02,664 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:07:02,664 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:07:02,664 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:07:02,664 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/status
2013-06-25 09:07:02,769 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:07:02,770 [INFO]  @managercli.py:319 - Server Versions: {'candlepin': '0.8.15-1', 'server-type': 'Red Hat Subscription Management'}
2013-06-25 09:07:02,770 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:07:02,770 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:07:02,771 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:07:02,771 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:07:02,772 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/
2013-06-25 09:07:02,880 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:07:02,881 [DEBUG]  @connection.py:613 - Server supports the following resources:
2013-06-25 09:07:02,882 [DEBUG]  @connection.py:614 - {'': '/', 'hypervisors': '/hypervisors', 'serials': '/serials', 'deleted_consumers': '/deleted_consumers', 'consumers': '/consumers', 'migrations': '/migrations', 'content': '/content', 'entitlements': '/entitlements', 'statistics/generate': '/statistics/generate', 'status': '/status', 'jobs': '/jobs', 'users': '/users', 'subscriptions': '/subscriptions', 'rules': '/rules', 'distributor_versions': '/distributor_versions', 'consumertypes': '/consumertypes', 'activation_keys': '/activation_keys', 'atom': '/atom', 'owners': '/owners', 'roles': '/roles', 'admin': '/admin', 'events': '/events', 'products': '/products', 'pools': '/pools', 'crl': '/crl'}
2013-06-25 09:07:02,882 [INFO]  @cache.py:308 - Server does not support packages, skipping profile upload.
2013-06-25 09:07:02,883 [DEBUG]  @cache.py:137 - Wrote cache: /var/lib/rhsm/facts/facts.json
2013-06-25 09:07:02,883 [INFO]  @cache.py:164 - Checking current system info against cache: /var/lib/rhsm/cache/installed_products.json
2013-06-25 09:07:02,883 [INFO]  @cache.py:181 - No changes.
2013-06-25 09:07:04,444 [DEBUG]  @identity.py:132 - Loading consumer info from identity certificates.
2013-06-25 09:07:04,451 [DEBUG]  @injection.py:68 - Returning callable provider for feature PRODUCT_DATE_RANGE_CALCULATOR: <class 'subscription_manager.validity.ValidProductDateRangeCalculator'>
2013-06-25 09:07:04,451 [DEBUG]  @injection.py:72 - Returning instance for feature IDENTITY
2013-06-25 09:07:04,452 [DEBUG]  @injection.py:68 - Returning callable provider for feature PROD_STATUS_CACHE: <class 'subscription_manager.cache.ProductStatusCache'>
2013-06-25 09:07:04,452 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:07:04,452 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:07:04,452 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:07:04,452 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:07:04,453 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/consumers/414931e4-1456-4bc5-a336-af7db649ba54
2013-06-25 09:07:04,725 [DEBUG]  @connection.py:434 - Response status: 200
2013-06-25 09:07:04,730 [DEBUG]  @cache.py:137 - Wrote cache: /var/lib/rhsm/cache/product_status.json
2013-06-25 09:07:04,954 [DEBUG]  @connection.py:394 - Loading CA PEM certificates from: /etc/rhsm/ca/
2013-06-25 09:07:04,954 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/fsharath-candlepin.pem'
2013-06-25 09:07:04,954 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/candlepin-stage.pem'
2013-06-25 09:07:04,955 [DEBUG]  @connection.py:376 - Loading CA certificate: '/etc/rhsm/ca/redhat-uep.pem'
2013-06-25 09:07:04,956 [DEBUG]  @connection.py:415 - Making request: GET /candlepin/consumers/414931e4-1456-4bc5-a336-af7db649ba54
2013-06-25 09:07:05,292 [DEBUG]  @connection.py:434 - Response status: 200
Comment 1 RHEL Product and Program Management 2013-06-25 09:18:23 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Sharath Dwaral 2013-06-25 10:53:32 EDT
Test with insecure '0'

# cat /etc/rhsm/rhsm.conf | grep insecure
insecure=0
Comment 3 Carter Kozak 2013-07-03 11:25:24 EDT
commit f4d1a199631acf0d819e163c610cc751a37e4d61
Author: ckozak <ckozak@redhat.com>
Date:   Tue Jun 25 17:01:40 2013 -0400

    977851: 977321: Centralize CertSorter, drive updates, refresh properly
Comment 6 Shwetha Kallesh 2013-07-15 05:13:53 EDT
Created attachment 773667 [details]
Installed product status on GUI

Marking verified!!

[root@localhost ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.16-1
subscription-manager: 1.8.13-1.el5
python-rhsm: 1.8.13-1.git.0.85d7af5.el5
Comment 8 errata-xmlrpc 2013-09-30 19:11:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1332.html

Note You need to log in before you can comment on or make changes to this bug.